routes/web.php
<?php

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/



//Auth::routes(['verify' => false,'register' => false]);

Route::get('/', function(){
	return redirect('login');
})->where(['url' => '|home'])->name('home');

if(env('API_URL')=="" || env('API_URL')==url('/')){
	Auth::routes(['register'=>false]);
	Route::get('index', 'HomeController@index')->name('index');
}

Route::group(['middleware' => ['frontend']], function(){	
	Route::get('/{url?}', 'HomeController@index')->where(['url' => '|home'])->name('home');
});

Route::group(['middleware' => ['auth']], function(){
	Route::get('access-denied', function(){
		return view('access-denied');
	})->name('access-denied');
        Route::resource('profile', 'ProfileController')->only(['index', 'store']);
		Route::group(['middleware' => ['check_permission'],'namespace'=>'Admin','prefix'=>'admin', 'as' => 'admin.'], function(){	

		Route::get('dashboard', 'DashboardController@index')->name('dashboard');
		Route::resource('profile', 'ProfileController')->only(['index', 'store']);
        Route::resource('settings', 'SettingsController')->only(['index', 'store']);

		// For Users
		Route::resources([
			'users' => 'UsersController',
		]);
		
        Route::post('users/getUsers', 'UsersController@getUsers')->name('users.getUsers');
		Route::get('users/status/{user_id}', 'UsersController@status')->name('users.status');	

       // For complainttype
		Route::resource('complainttype', 'ComplaintTypeController')->except(['show']);
		Route::post('complainttype/list', 'ComplaintTypeController@getComplaintType')->name('complainttype.getComplaintType');
		Route::get('complainttype/status/{id}', 'ComplaintTypeController@status')->name('complainttype.status');	

         // For roles
		Route::resource('roles','RoleController');
		Route::get('roles/destroy/{id}', 'RoleController@destroy')->name('roles.destroy');
		Route::get('roles/status/{id}', 'RoleController@status')->name('roles.status');
	
        // For Complaints
		Route::resource('complaints', 'ComplaintsController');
		Route::post('complaints/list', 'ComplaintsController@getComplaints')->name('complaints.getComplaints');
		Route::get('complaints/status/{id}', 'ComplaintsController@status')->name('complaints.status');
		Route::get('complaints/aprovelstatus/{id}', 'ComplaintsController@aprovelStatus')->name('complaints.aprovelstatus');	
		Route::get('complaints/rejectstatus/{id}', 'ComplaintsController@rejectStatus')->name('complaints.rejectStatus');	


		Route::resource('components','ComponentController');
    	Route::get('components/destroy/{id}', 'ComponentController@destroy')->name('components.destroy');
    	Route::get('components/status/{id}', 'ComponentController@status')->name('components.status');

    	Route::resource('vehicles','VehiclesController');
    	Route::post('vehicles/getVehicles', 'VehiclesController@getVehicles')->name('vehicles.getVehicles');
    	Route::get('vehicles/status/{id}', 'VehiclesController@status')->name('vehicles.status');

	});

});

app/Vehicles.php
<?php

namespace App;

use Illuminate\Database\Eloquent\Model;

class Vehicles extends Model
{
    protected $fillable = [
        'vehical_make','vehical_model','vehical_number','vehical_image','is_active','added_by',
    ];

    public function getuser(){
        return $this->belongsTo('App\User', 'added_by', 'id'); 
    }
}

app/Http/Controllers/API/VehiclesController.php
<?php

namespace App\Http\Controllers\API;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\Vehicles;
use Illuminate\Validation\Rule;
use Carbon\Carbon;
use Validator;
use Auth;
use File;

use App\Notifications\SendOTP;
use App\User;
use App\PasswordReset;
use App\Helpers\Messages;

class VehiclesController extends Controller
{


    public function getAllVehicles(Request $request){
        try {
            $validator = Validator::make($request->all(),[ 
                'user_id' => 'required|', 
                ]);
            if ($validator->fails()){ 
                return response()->json(['status'=>400,'message'=>$validator->errors()->first()]);            
            }
            $user_id=$request->input("user_id");
            $vehicles=Vehicles::where('is_active',true)->where('added_by',$user_id)->get();
            if(!empty($vehicles)){
                $response['status'] = 200;
                $response['data'] = $vehicles;
                $response['message'] = "Success";
                return response()->json($response);
            }
            else{
                $response['status'] = 204;
                $response['message'] = "Success";
                return response()->json($response);

            } 
        }catch (\Exception $e) {
            $response['status'] = 500;
            $response['message'] = $e->getMessage();
            return response()->json($response);
        }
    }


    public function getVehicle(Request $request){
        try {
            $validator = Validator::make($request->all(),[ 
                'id' => 'required|', 
                ]);
            if ($validator->fails()){ 
                return response()->json(['status'=>400,'message'=>$validator->errors()->first()]);            
            }
            $vehicle_id=$request->input("id");
            $vehicle = Vehicles::findOrFail($vehicle_id);
            if(!empty($vehicle)){
                $response['status'] = 200;
                $response['data'] = $vehicle;
                $response['message'] = "Success";
                return response()->json($response);
            }
            else{
                $response['status'] = 204;
                $response['data'] = [];
                $response['message'] = "Success";
                return response()->json($response);
            }
        } catch (\Exception $e){
            $response['status'] = 500;
            $response['message'] = $e->getMessage();
            return response()->json($response);
        }
    }
    public function addVehicle(Request $request){
        try {
            $validator = Validator::make($request->all(),[ 
                'user_id' => 'required|',
                'vehical_make' => 'required|', 
                'vehical_model' => 'required|',
                'vehical_number' => 'required|unique:'.with(new Vehicles)->getTable().',vehical_number',
                ]);
            if ($validator->fails()){ 
                return response()->json(['status'=>400,'message'=>$validator->errors()->first()]);            
            }
            $input = array_map('trim', $request->all());
            $input['added_by']=$request->user_id;
            $input['is_active']=true;
            $vehicle = Vehicles::create($input);
            if($vehicle){
                $response['status'] = 200;
                $response['data'] = $vehicle;
                $response['message'] = "Vehicle added successfully";
                return response()->json($response);
            }
            else{
                $response['status'] = 500;
                $response['message'] = "Some thing wrong please try again later.";
                return response()->json($response);
            }
        } catch (\Exception $e) {
            $response['status'] = 500;
            $response['message'] = $e->getMessage();
            return response()->json($response);
        }
    }
    public function updateVehicle(Request $request){
        try {
            $validator = Validator::make($request->all(),[ 
                'id'=>'required',
                'vehical_make' => 'required', 
                'vehical_model' => 'required',
                'vehical_number' => 'required',
                ]);
            if ($validator->fails()){ 
                return response()->json(['status'=>400,'message'=>$validator->errors()->first()]);            
            }
            
            $vehicle_id=$request->input("id");
            $vehicle = Vehicles::findOrFail($vehicle_id);
            $data = $request->all();
            $vehicle->update($data);
            if($vehicle){
                $response['status'] = 200;
                $response['data'] = $vehicle;
                $response['message'] = "Vehicle updated successfully";
                return response()->json($response);
            }
            else{
                $response['status'] = 500;
                $response['message'] = "Some thing wrong please try again later.";
                return response()->json($response);

            }
        }catch (\Exception $e) {
            $response['status'] = 500;
            $response['message'] = $e->getMessage();
            return response()->json($response);
        }
    }

}

app/Http/Controllers/Admin/VehiclesController.php
<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use Illuminate\Http\Request;
use App\User;
use App\Schedule;
use Validator;
use Auth;
use DataTables;
use Config;
use Form;
use DB;
use App\Vehicles;

class VehiclesController extends Controller
{
   /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function index(Request $request){  
    
        return view('admin/vehicles/index');
    }

    /**
     * Display a listing of the resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function getVehicles(Request $request){

        $vehicles=Vehicles::with('getuser')->select([\DB::raw(with(new Vehicles)->getTable().'.*')])->groupBy('id');
        // dd($vehicles);

        // $sale_id = intval($request->input('sales_id'));
        // if($sale_id > 0) 
        //     $schedules->where('sale_id', $sale_id); 
           
        $status = $request->input('status');
        if($status !='') 
            $vehicles->where('is_active', $status); 

        // $date = $request->input('date');
        // if($date!=''){
        //    $date = date('Y-m-d', strtotime($date));
        //    $schedules->whereDate('datetime', '=', $date);
        // }
        
        return DataTables::of($vehicles)
            ->editColumn('vehical_make', function($vehicles){
                return $vehicles->vehical_make;
            })            
            ->editColumn('vehical_model', function ($vehicles){
               return $vehicles->vehical_model;
            })
            ->editColumn('vehical_number', function($vehicles){
                return $vehicles->vehical_number;
            })
            ->editColumn('added_by', function($vehicles){
              return isset($schedule->sale->email)?$schedule->sale->email:'';
          })
            ->filterColumn('vehical_make', function ($query, $keyword){
                $keyword = strtolower($keyword);
                  	 $query->whereRaw("vehical_make like ?", ["%$keyword%"]);
            })
            ->filterColumn('vehical_model', function ($query, $keyword) {
                $keyword = strtolower($keyword);
                  	 $query->whereRaw("vehical_model like ?", ["%$keyword%"]);
            })
            ->filterColumn('vehical_number', function ($query, $keyword){
                $keyword = strtolower($keyword);
                $query->whereRaw("vehical_number like ?", ["%$keyword%"]);        
            })
        ->editColumn('is_active', function ($vehicles) {
          if($vehicles->is_active == TRUE )
          {
              return "<a href='".route('admin.vehicles.status',$vehicles->id)."'><span class='badge badge-success'>Active</span></a>";
          }else{
              return "<a href='".route('admin.vehicles.status',$vehicles->id)."'><span class='badge badge-danger'>Inactive</span></a>";
          }
      })

            ->addColumn('action', function ($vehicles){
                return
                    // edit
                    '<a href="'.route('admin.vehicles.show',[$vehicles->id]).'" class="btn btn-success btn-circle btn-sm"><i class="fa fa-eye"></i></a> <a href="'.route('admin.vehicles.edit',[$vehicles->id]).'" class="btn btn-primary btn-circle btn-sm"><i class="fas fa-edit"></i></a> '.
                    // Delete
                      Form::open(array(
                                  'style' => 'display: inline-block;',
                                  'method' => 'DELETE',
                                   'onsubmit'=>"return confirm('Do you really want to delete?')",
                                  'route' => ['admin.vehicles.destroy', $vehicles->id])).
                      ' <button type="submit" class="btn btn-danger btn-circle btn-sm"><i class="fas fa-trash"></i></button>'.
                      Form::close();
            })
            ->rawColumns(['action','is_active'])
            ->make(true);
    }

    /**
     * Show the form for creating a new resource.
     *
     * @return \Illuminate\Http\Response
     */
    public function create(){
     
        return view('admin.vehicles.form');
    }

    /**
     * Store a newly created resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @return \Illuminate\Http\Response
     */
    public function store(Request $request){
        $rules = [
            'vehical_make'  => 'required', 
            'vehical_model'  => 'required', 
            'vehical_number'     => 'required|alpha_num', 
        ];

        $validator = Validator::make($request->all(),$rules);
        if($validator->passes()){
            $data = $request->all();
            $data['added_by']=Auth::user()->id;
            $data['is_active']=true;
            Vehicles::create($data);
            $request->session()->flash('success',__('global.messages.add'));
            return redirect()->route('admin.vehicles.index');
        }else{
            return redirect()->back()->withErrors($validator)->withInput();
        }
    }

    /**
     * Display the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function show($vehicle_id){
      $vehicle = Vehicles::with('getuser')->where('id',$vehicle_id)->first();
    	return view('admin.vehicles.show', compact('vehicle'));
    }

    /**
     * Show the form for editing the specified resource.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function edit($vehicle_id){
     
    	$vehicle = Vehicles::findOrFail($vehicle_id);
      
        return view('admin.vehicles.form', compact('vehicle'));
    }

    /**
     * Update the specified resource in storage.
     *
     * @param  \Illuminate\Http\Request  $request
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function update(Request $request, $vehicle_id){
        $vehicle = Vehicles::findOrFail($vehicle_id);
        $rules =[
            'vehical_make'  => 'required', 
            'vehical_model' => 'required', 
            'vehical_number' => 'required|alpha_num',
        ];
        $validator = Validator::make($request->all(), $rules);
        if ($validator->passes()){
            $data = $request->all();
            $vehicle->update($data);
            $request->session()->flash('success',__('global.messages.update'));
            return redirect()->route('admin.vehicles.index');
        }else{
            return redirect()->back()->withErrors($validator)->withInput();
        }
    }

    /**
     * Remove the specified resource from storage.
     *
     * @param  int  $id
     * @return \Illuminate\Http\Response
     */
    public function destroy($vehicle_id){
      $vehicle = Vehicles::findOrFail($vehicle_id);
      $vehicle->delete();
      session()->flash('danger',__('global.messages.delete'));
      return redirect()->route('admin.vehicles.index');
    }
    public function status($id){
      $vehicles = Vehicles::findOrFail($id);
      if(isset($vehicles->is_active) && $vehicles->is_active==FALSE){
          $vehicles->update(['is_active'=>TRUE]);
          session()->flash('success',__('global.messages.activate'));
      }else{
          $vehicles->update(['is_active'=>FALSE]);
          session()->flash('danger',__('global.messages.deactivate'));
      }
      return redirect()->route('admin.vehicles.index');
    }
}

resources/views/admin/vehicles/form.blade.php
@extends('admin.layouts.valex_app')
@section('styles')
<link href="{{asset('template/valex-theme/plugins/select2/css/select2.min.css') }}" rel="stylesheet">
<link href="{{ asset('css/bootstrap-datepicker3.standalone.min.css') }}" rel="stylesheet">
@endsection
@section('content')
<div class="container">
    <div class="breadcrumb-header justify-content-between">
      <div class="left-content">
          <div>
            <h2 class="main-content-title tx-24 mg-b-1 mg-b-lg-1">Vehicle</h2>
          </div>
      </div>
    </div>
    <div class="row row-sm">
        <div class="col-xl-12">
            <div class="card">
                {!! Form::open(['method' => 'POST', 'route' => isset($vehicle->id)?['admin.vehicles.update',$vehicle->id]:['admin.vehicles.store'],'class' => 'form-horizontal','id' => 'frmSchedules', 'files' => true]) !!}
                @csrf
                @if(isset($vehicle->id))     
                @method('PUT')  
                @endif
                
                <div class="card-header py-3 cstm_hdr">
                    <h6 class="m-0 font-weight-bold text-primary">{{ isset($vehicle->id)?'Edit':'Add' }} Vehicle</h6>
                </div>
                <div class="card-body">
                    <div class="form-group {{$errors->has('vehical_make') ? config('constants.ERROR_FORM_GROUP_CLASS') : ''}}">
                        <label class="col-md-3 control-label" for="vehical_make">Vehicle Make<span style="color:red">*</span></label>
                        <div class="col-md-6">
                        {!! Form::text('vehical_make', old('vehical_make', isset($vehicle->vehical_make)?$vehicle->vehical_make:''), ['id'=>'vehical_make', 'class' => 'form-control', 'placeholder' => 'vehicle make']) !!}
                            <span id="sale_id_error"></span>
                            @if($errors->has('vehical_make'))
                            <strong for="vehical_make" class="help-block">{{ $errors->first('vehical_make') }}</strong>
                            @endif
                        </div>
                    </div>
                    <div class="form-group {{$errors->has('vehical_model') ? config('constants.ERROR_FORM_GROUP_CLASS') : ''}}">
                        <label class="col-md-3 control-label" for="vehical_model">Vehicle Model <span style="color:red">*</span></label>
                        <div class="col-md-6">
                        {!! Form::text('vehical_model', old('vehical_model', isset($vehicle->vehical_model)?$vehicle->vehical_model:''), ['id'=>'vehical_model', 'class' => 'form-control', 'placeholder' => 'vehicle model']) !!}
                            @if($errors->has('vehical_model'))
                            <strong for="vehical_model" class="help-block">{{ $errors->first('vehical_model') }}</strong>
                            @endif
                        </div>
                    </div>
                    <div class="form-group {{$errors->has('vehical_number') ? config('constants.ERROR_FORM_GROUP_CLASS') : ''}}">
                        <label class="col-md-3 control-label" for="vehical_number">Vehicle Number<span style="color:red">*</span></label>
                        <div class="col-md-6">

                        {!! Form::text('vehical_number', old('vehical_number', isset($vehicle->vehical_number)?$vehicle->vehical_number:''), ['id'=>'vehical_number', 'class' => 'form-control', 'placeholder' => 'vehicle number']) !!}

                            @if($errors->has('vehical_number'))
                            <strong for="time" class="help-block">{{ $errors->first('vehical_number') }}</strong>
                            @endif
                        </div>
                    </div>
                    
                </div>  
                <div class="card-footer">
                    <button type="submit" class="btn btn-responsive btn-primary">{{ __('Submit') }}</button>
                    <a href="{{route('admin.vehicles.index')}}"  class="btn btn-responsive btn-secondary">{{ __('Cancel') }}</a>
                </div>
                {!! Form::close() !!}
            </div>
        </div>
    </div>        
</div>
<!-- /.container-fluid -->
@endsection
@section('scripts')
<script type="text/javascript" src="{{ asset('js/jquery-validation/dist/jquery.validate.min.js') }}"></script>
<script type="text/javascript" src="{{ asset('js/jquery-validation/dist/additional-methods.min.js') }}"></script>
<script src="{{ asset('template/valex-theme/plugins/select2/js/select2.min.js') }}"></script>
<script src="{{ asset('js/datepicker/bootstrap-datepicker.min.js') }}"></script>

<script type="text/javascript">
jQuery(document).ready(function(){
    //$('[name="role_id[]"]').selectpicker();
    $('.select2').select2({
        placeholder: '-Select Customer-'
    });

    $('.user_id').select2({
        placeholder: '-Select User-'
    });

    $('.datepicker').datepicker({
            format: 'mm/dd/yyyy',
            orientation: 'bottom',
            autoclose: true
    });

    jQuery('#frmSchedules').validate({
        rules: {
            time: {
                required: true
            },
            date: {
                required: true
            },
            sale_id: {
                required: true
            },
            user_id: {
                required: true
            },
        }
    });
});
</script>
@endsection

resources/views/admin/vehicles/index.blade.php
@extends('admin.layouts.valex_app')
@section('styles')
<link href="{{asset('template/valex-theme/plugins/datatable/css/dataTables.bootstrap4.min.css')}}" rel="stylesheet" />
<link href="{{asset('template/valex-theme/plugins/datatable/css/responsive.bootstrap4.min.css')}}" rel="stylesheet" />
<link href="{{asset('template/valex-theme/plugins/datatable/css/buttons.bootstrap4.min.css')}}" rel="stylesheet">
<link href="{{asset('template/valex-theme/plugins/datatable/css/jquery.dataTables.min.css')}}" rel="stylesheet">
<link href="{{asset('template/valex-theme/plugins/datatable/css/responsive.dataTables.min.css')}}" rel="stylesheet">
<link href="{{ asset('css/bootstrap-datepicker3.standalone.min.css') }}" rel="stylesheet">
@endsection
@section('content')
<!-- Begin Page Content -->
<div class="container">
  <div class="breadcrumb-header justify-content-between">
      <div class="left-content">
          <div>
            <h2 class="main-content-title tx-24 mg-b-1 mg-b-lg-1">Vehicles</h2>
          </div>
      </div>
  </div>
  <div class="row row-sm">
    <div class="col-xl-12">
      <div class="card">
        <div class="card-header py-3 cstm_hdr">
            <h6 class="m-0 font-weight-bold text-primary">Vehicles List</h6>
            <a href="{{route('admin.vehicles.create')}}" class="btn btn-sm btn-icon-split float-right btn-outline-warning">
                <span class="icon text-white-50">
                  <i class="fas fa-plus"></i>
                </span>
                <span class="text">Add Vehicles</span>
            </a>
           
        </div>
        <div class="card-body">

          <div class="well mb-3">
                            {!! Form::open(['method' => 'POST', 'class' => 'form-inline', 'id' => 'frmFilter']) !!}
                            <?php if(Auth::user()->roles->first()->id == config('constants.ROLE_TYPE_SUPERADMIN_ID')){   ?>
                          
                            <?php } ?>   
                      
                            <div class="form-group mr-sm-2 mb-2">
                                <select name="status" id="status" class="form-control">
                                    <option value="">-Select Status-</option>
                                    <option value="1">Active</option>
                                    <option value="0">Inactive</option>
                                </select>                
                            </div>  
                            <button type="submit" class="btn btn-responsive btn-primary mr-sm-2 mb-2">{{ __('Filter') }}</button>
                            <a href="javascript:;" onclick="resetFilter();" class="btn btn-responsive btn-danger mb-2">{{ __('Reset') }}</a>
                            {!! Form::close() !!}
                    </div> 
            <div class="table-responsive">
                <table class="table table-bordered" width="100%" cellspacing="0" id="vehicles">
                    <thead>
                        <tr>
                          <th>Vehicle Make</th>
                          <th>Vehicle Model</th>
                          <th>Vehicle Number</th>
                          <th>Added By</th>
                          <th>Status</th>
                          <th>Action</th>                          
                        </tr>
                    </thead>
                    <tfoot>
                        <tr>
                          <th>Vehicle Make</th>
                          <th>Vehicle Model</th>
                          <th>Vehicle Number</th>
                          <th>Added By</th>
                          <th>Status</th>
                          <th>Action</th>                        
                        </tr>
                    </tfoot>
                </table>
            </div>
        </div>
      </div>
    </div>
  </div>
</div>    
<!-- /.container-fluid -->
@endsection
@section('scripts')
<!-- Page level plugins -->
<script src="{{ asset('template/valex-theme/plugins/datatable/js/jquery.dataTables.min.js') }}"></script>
<script src="{{ asset('template/valex-theme/plugins/datatable/js/dataTables.dataTables.min.js') }}"></script>
<script src="{{ asset('template/valex-theme/plugins/datatable/js/dataTables.responsive.min.js') }}"></script>
<script src="{{ asset('template/valex-theme/plugins/datatable/js/responsive.dataTables.min.js') }}"></script>
<script src="{{ asset('template/valex-theme/plugins/datatable/js/jquery.dataTables.js') }}"></script>
<script src="{{ asset('template/valex-theme/plugins/datatable/js/dataTables.bootstrap4.js') }}"></script>
<script src="{{ asset('template/valex-theme/plugins/datatable/js/dataTables.responsive.min.js') }}"></script>
<script src="{{ asset('template/valex-theme/plugins/datatable/js/responsive.bootstrap4.min.js') }}"></script>
<script src="{{ asset('template/valex-theme/plugins/datatable/js/vfs_fonts.js') }}"></script>
<script src="{{ asset('js/datepicker/bootstrap-datepicker.min.js') }}"></script>
<!-- export btn -->
<script type="text/javascript">
jQuery(document).ready(function(){
  getVehicles();
    
    jQuery('#frmFilter').submit(function(){
      getVehicles();
        return false;
    });
    $('.datepicker').datepicker({
            format: 'mm/dd/yyyy',
            orientation: 'bottom',
            autoclose: true
    });
});

function resetFilter(){
    jQuery('#frmFilter :input:not(:button, [type="hidden"])').val('');
    getVehicles();
}

function getVehicles(){
  var status = jQuery('#frmFilter [name=status]').val();
  jQuery('#vehicles').dataTable().fnDestroy();
  jQuery('#vehicles tbody').empty();
  jQuery('#vehicles').DataTable({

      processing: true,
      serverSide: true,
      iDisplayLength:50,
      ajax: {
          url: '{{ route('admin.vehicles.getVehicles') }}',
          method: 'POST',
          data: {  
              status:status
              }
      },
      lengthMenu:[
          [10, 25, 50, 100,1000, -1],
          [10, 25, 50,100,1000,"All"]
      ],
      columns:[
          {data: 'vehical_make', name: 'vehical_make'},
          {data: 'vehical_model', name: 'vehical_model'},
          {data: 'vehical_number', name: 'vehical_number'},
          {data: 'getuser.name', name: 'getuser.name'},
          {data: 'is_active', name: 'is_active'},
          {data: 'action', name: 'action', orderable: false, searchable: false, "width": "12%"},            
      ],           
      order: [[0, 'desc']],
      language: {
            searchPlaceholder: 'Search...',
            sSearch: '',
            lengthMenu: '_MENU_',
      },        
    });
}
</script>
@endsection